> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# kling-element-preset-list

> Retrieve a paginated list of official preset elements provided by Kling. These elements have `owned_by` set to `"kling"`.



## OpenAPI

````yaml api-reference/model-api/kuaishou/openapi/kling-element-preset-list/openapi.yaml GET /kling/v1/general/advanced-presets-elements
openapi: 3.1.0
info:
  title: Kling Preset Element List
  description: List official preset elements provided by Kling.
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /kling/v1/general/advanced-presets-elements:
    get:
      summary: List Preset Elements
      description: >-
        Retrieve a paginated list of official preset elements provided by Kling.
        These elements have `owned_by` set to `"kling"`.
      operationId: listKlingPresetElements
      parameters:
        - name: pageNum
          in: query
          required: false
          description: Page number, starting from 1.
          schema:
            type: integer
            default: 1
            example: 1
        - name: pageSize
          in: query
          required: false
          description: Number of items per page.
          schema:
            type: integer
            default: 10
            example: 10
      responses:
        '200':
          description: List retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 0
                  message:
                    type: string
                    example: SUCCEED
                  request_id:
                    type: string
                    example: 20ba8938-4ccb-4295-a3c5-e401769a5853
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        task_id:
                          type: string
                        task_status:
                          type: string
                          enum:
                            - succeed
                        task_result:
                          type: object
                          properties:
                            elements:
                              type: array
                              items:
                                $ref: '#/components/schemas/PresetElement'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PresetElement:
      type: object
      properties:
        element_id:
          type: integer
        element_name:
          type: string
        element_description:
          type: string
        element_type:
          type: string
          example: image_refer
        owned_by:
          type: string
          description: Fixed value `kling` for preset elements
          example: kling
        status:
          type: string
          example: succeed
        tag_list:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````